<?php
    @session_start();
    @header( "Content-type: text/html; charset=utf-8" );
    if (!isset($_SESSION["admin"]["id"])) {
        echo "<script>location.href='index.php';</script>";
    }
?>
<script type="text/javascript" src="js/jquery.form.js"></script>
<script type="text/javascript" src="js/https://apis.google.com/js/platform.js"></script>
<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Relatórios de Envios
            </div>

    	</div>
    
</h1>

<div class="container" style="width: 90%">

<p class="msg"></p>

<table class="table table-bordered table-hover table-striped" id="tabela">
	<thead>
		<tr>	
			<td width='100px'>Data</td>
			<td>Empresa</td>
			<td>Status</td>
			<td>CNPJ</td>
			<td>Enviado?</td>
			<td width='100px'>Arquivo</td>
		</tr>
	</thead>
	<?php

		$data = "";
		if ( isset ( $param[2] ) ) $data = $param[2];
		
		$sql = "select a.id, a.arquivo, e.data, c.nome, 
			c.cnpj, c.id cid, a.arquivo, p.nome parceiro,
			c.status 
			from arquivo a 
			left join envio e on (e.arquivo_id = a.id) 
			left join cliente c on (c.id = a.cliente_id)
			inner join parceiro p on (p.id = c.parceiro_id)
			where a.data like '$data%'
			ORDER BY e.data ASC, c.nome";

		$consulta = $db->prepare($sql);
		$consulta->execute();
		$c = $consulta->rowCount();
		$e = $s = 0;
		

		while ( $dados = $consulta->fetch(PDO::FETCH_OBJ)) {

			if ( empty ( $dados->data )) {
				$btn = "<a href=\"javascript:alert('Não enviado')\" class='btn btn-danger'>
				<i class='glyphicon glyphicon-warning-sign'></i>
				</a>
				";
				$enviado = "<span style='color:red;font-weight:bold'>Não</span>";
				$e++;
			} else {
				$btn = "<a href=\"javascript:window.open('downloads.php?id=$dados->id&cliente_id=$dados->cid')\" class='btn btn-success'>
					<i class='glyphicon glyphicon-save'></i>
				</a>";
				$s++;
				$enviado = "<span style='color:green;font-weight:bold'>Sim</span>";
			}

			echo "<tr>
				<td>$data</td><td>$dados->nome ($dados->parceiro)
				</td><td>$dados->status</td>
				<td>$dados->cnpj</td><td>$enviado</td><td width='100px'>
				$btn
				<a href='javascript:enviarAgora($dados->id)' class='btn btn-success' title='Enviar Agora'>
				<i class='glyphicon glyphicon-envelope'></i></a>
				</td></tr>";

		}

	?>

</table>
<iframe name="enviar" id="enviar" class="thumbnail" height="300" width="100%"></iframe>
<script type="text/javascript" src="js/dataTables.bootstrap.js"></script>

<script type="text/javascript">
	$(document).ready(function () {
		$(".table").DataTable()
	})
	function enviarAgora(id) {
		if ( confirm ( "Deseja enviar o boleto?" ) ) {
			$("#enviar").attr("src", "enviarAvulso.php?id="+id);
		}
	}
	$(".msg").html("<p class='alert alert-warning'><?=$c;?> arquivos para envio. <?=$s;?> enviados e <?=$e;?> com erro.</p>");
</script>